classification
Title: Ambiguity words in base64 documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, inada.naoki, martin.panter, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2014-03-02 23:38 by inada.naoki, last changed 2015-12-14 03:01 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
base64.patch inada.naoki, 2014-03-03 02:21 review
Messages (8)
msg212604 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2014-03-02 23:38
http://docs.python.org/3/library/base64.html

> The modern interface supports encoding and decoding ASCII byte string objects using all three alphabets.

What "all three alphabets" means?
I think it is about *altchars*. But the sentence is too ambiguous to translate it in Japanese.
msg212605 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-03-03 00:05
There are three different 'base64 alphabets' defined in the standard.  The support for using them is via altchars. 'URL safe' and 'filename safe' are the two alternate alphabets defined in the standard, which you can see if you follow the link to the RFC.

A patch making this more explicit in the base64 docs themselves would almost certainly be accepted.
msg212607 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2014-03-03 02:21
Here's patch.
msg212903 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-07 22:00
Additional edit to make the patch crystal-clear:

“using all three alphabets (normal, URL and Filesystem safe alphabet).”
→ “using all three alphabets defined in the RFC (normal, URL-safe and filesystem-safe)”
msg212940 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-08 17:54
New changeset 1853679c6f71 by R David Murray in branch 'default':
whatsnew: base65 encodings. (#17618)
http://hg.python.org/cpython/rev/1853679c6f71
msg212942 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-03-08 17:56
I had to edit that paragraph for another issue, so I fixed the wording along the lines Éric suggested while I was at it.

Hmm.  But it still needs to be fixed in 3.3 (and 2.7, I presume) :(
msg256360 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-12-14 02:58
New changeset e8cbebb273c6 by Martin Panter in branch '2.7':
Issue #20837: Base-64 alphabet clarification from revision 1853679c6f71
https://hg.python.org/cpython/rev/e8cbebb273c6
msg256362 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-12-14 03:01
I think it is too late for 3.3 now, but I did port the relevant bit to 2.7.
History
Date User Action Args
2015-12-14 03:01:24martin.pantersetstatus: open -> closed
versions: + Python 2.7, - Python 3.3
nosy: + martin.panter

messages: + msg256362

stage: patch review -> resolved
2015-12-14 02:58:17python-devsetmessages: + msg256360
2014-05-09 12:49:13ezio.melottisettype: enhancement
stage: patch review
2014-03-08 17:56:05r.david.murraysetresolution: fixed
messages: + msg212942
2014-03-08 17:54:17python-devsetnosy: + python-dev
messages: + msg212940
2014-03-07 22:00:54eric.araujosetnosy: + eric.araujo
messages: + msg212903
2014-03-03 02:21:42inada.naokisetfiles: + base64.patch
keywords: + patch
messages: + msg212607
2014-03-03 00:05:30r.david.murraysetnosy: + r.david.murray
messages: + msg212605
2014-03-02 23:38:20inada.naokicreate